;--------------------------------------------------------------------
; Author       : Kevin Dahl                                         :
; Last Revised : June 7, 1986                                       :
;                                                                   :
; FILENAME - V11.ENH                                                :
;                                                                   :
; GETVIDEOMODE                                                      :
;        Get the current video mode the system is in.               :
;                                                                   :
; EXIT                                                              :
;        AX - current video mode system is in                       :
;--------------------------------------------------------------------
getvideomode  proc      near
              push      bp                       ; save stack
              mov       bp,sp
              mov       ah,0fh                   ; get current video mode
              int       10h                      ; use BIOS services
              xor       ah,ah                    ; video mode in al
              mov       sp,bp                    ; restore stack
              pop       bp
              ret       2                        ; remove params from stack
getvideomode  endp
