;--------------------------------------------------------------------
; Author       : Kevin Dahl                                         :
; Last Revised : June 7, 1986                                       :
;                                                                   :
; FILENAME - V18.ENH                                                :
;                                                                   :
; SCROLLUP                                                          :
;        Moves a block of characters up on the screen               :
;                                                                   :
; ENTRY                                                             :
;        [bp+6]  = Bottom row of screen area to be scrolled.        :
;        [bp+8]  = Right column of screen area to be scrolled.      :
;        [bp+10] = Top row of screen are to be scrolled.            :
;        [bp+12] = Left column of screen area to be scrolled.       :
;        [bp+14] = Attribute color to be used on blank line.        :
;        [bp+16] = Number of rows or lines to scroll                :
;                                                                   :
; EXIT                                                              :
;        Nothing -- the screen is modified.                         :
;--------------------------------------------------------------------
scrollup      proc      near
              push      ds
              push      bp                       ; save stack
              mov       bp,sp

              mov       dh,[bp+6]                ; bottom row
              mov       dl,[bp+8]                ; right column
              mov       ch,[bp+10]               ; top row
              mov       cl,[bp+12]               ; left column
              dec       dh                       ; adjust to absolute bottom row
              dec       dl                       ; adjust to absolute right col
              dec       ch                       ; adjust to absolute top row
              dec       cl                       ; adjust to absolute left col
              mov       bh,[bp+14]               ; color for blank rows
              mov       al,[bp+16]               ; number of lines to scroll
              mov       ah,6                     ; scroll down service
              push      bp                       ; save base pointer
              int       10h                      ; let BIOS do scroll
              pop       sp
              pop       bp
              pop       ds                       ; restore data segment
              ret       12                       ; remove parameters and return
scrollup      endp
